Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
Diffstat (limited to 'cje-production/mbscripts/mb220_buildSdkPatch.sh')
-rwxr-xr-xcje-production/mbscripts/mb220_buildSdkPatch.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/cje-production/mbscripts/mb220_buildSdkPatch.sh b/cje-production/mbscripts/mb220_buildSdkPatch.sh
new file mode 100755
index 000000000..8f93550f2
--- /dev/null
+++ b/cje-production/mbscripts/mb220_buildSdkPatch.sh
@@ -0,0 +1,36 @@
+#!/bin/bash -x
+
+#*******************************************************************************
+# Copyright (c) 2019 IBM Corporation and others.
+#
+# This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License 2.0
+# which accompanies this distribution, and is available at
+# https://www.eclipse.org/legal/epl-2.0/
+#
+# SPDX-License-Identifier: EPL-2.0
+#
+# Contributors:
+# Kit Lo - initial API and implementation
+#*******************************************************************************
+
+if [ $# -ne 1 ]; then
+ echo USAGE: $0 env_file
+ exit 1
+fi
+
+source $WORKSPACE/cje-production/scripts/common-functions.shsource
+source $1
+
+cd $WORKSPACE/cje-production/gitCache/eclipse.platform.releng.aggregator
+mvn clean verify -DskipTests=true -Pbree-libs \
+ -Dtycho.debug.artifactcomparator \
+ -Dcbi.jarsigner.continueOnFail=true \
+ -Djgit.dirtyWorkingTree=error \
+ -Dmaven.repo.local=$LOCAL_REPO \
+ -Djava.io.tmpdir=$WORKSPACE/cje-production/tmp \
+ -DaggregatorBuild=true \
+ -DbuildTimestamp=$TIMESTAMP \
+ -DbuildType=$BUILD_TYPE \
+ -DbuildId=$BUILD_ID \
+ -Declipse-p2-repo.url=NOT_FOR_PRODUCTION_USE \ No newline at end of file

Back to the top